宝塔面板安装Composer依赖管理工具方法(Linux系统镜像篇)

我们很多朋友可能不是太了解,上面是Composer。Composer 是从PHP5.3开始且支持的依赖管理工具。我们可以声明项目所依赖的代码库,它会在你的项目中为你安装他们。我们在安装PHP的时候有一些软件需要具备在Composer环境下进行,但是我们大部分的环境下是没有的比如,我们在安装的时候会提示"Warning: putenv() has been disabled"错误。

宝塔面板默认禁用一些安装 Composer 要用到的 3 个函数:putenv() 、 pcntl_signal() 、 proc_open()。我们需要删除禁止。

宝塔面板安装Composer依赖管理工具方法(Linux系统镜像篇)

我们直接在对应的PHP版本中的【禁用函数】删除。

# 下载composer压缩包

wget https://getcomposer.org/composer.phar

# 移动到全局

cp composer.phar /usr/local/bin/composer

# 更改权限

chmod u+x /usr/local/bin/composer

如果是国内服务器,可以会下载缓慢,可以换源解决。将 composer 源改成阿里云的镜像。

composer config repo.packagist composer https://mirrors.aliyun.com/composer/

安装完成后,可以用命令:"composer --version"来查看你安装的版本号。

宝塔面板安装Composer依赖管理工具方法(Linux系统镜像篇)

虽然,我们可以看到还有支持局部安装的,但是老蒋建议我们还是要全局安装比较好。

本文出处:老蒋部落 » 宝塔面板安装Composer依赖管理工具方法(Linux系统镜像篇) | 欢迎分享( 公众号:老蒋玩运营 )